## class Fl_Positioner

### Class Hierarchy

    Fl_Widget
       |
       +----Fl_Positioner

### Include Files

    #include <FL/Fl_Positioner.H>

### Description

This class is provided for Forms compatibility. It provides 2D input. It would be useful if this could be put atop another widget so that the crosshairs are on top, but this is not implemented. The color of the crosshairs is `selection_color()`.

### Methods

- Fl_Positioner
- ~Fl_Positioner
- value
- xbounds
- xstep
- xvalue
- ybounds
- ystep
- yvalue

#### Fl_Positioner::Fl_Positioner(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Positioner` widget using the given position, size, and label string. The default boxtype is `FL_NO_BOX`.

#### virtual Fl_Positioner::~Fl_Positioner()

Deletes the widget.

#### void Fl_Positioner::value(float *x, float *y) const

Returns the current position in `x` and `y`.

#### void xbounds(float *xmin, float *xmax)
void xbounds(float xmin, float xmax)

Gets or sets the X axis bounds.

#### void xstep(float x)

Sets the stepping value for the X axis.

#### float Fl_Positioner::xvalue(void) const
void Fl_Positioner::xvalue(float x)

Gets or sets the X axis coordinate.

#### void ybounds(float *ymin, float *ymay)
void ybounds(float ymin, float ymay)

Gets or sets the Y axis bounds.

#### void ystep(float y)

Sets the stepping value for the Y axis.

#### float Fl_Positioner::yvalue(void) const
void Fl_Positioner::yvalue(float y)

Gets or sets the Y axis coordinate.